Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http
Interface HttpStatus

    public interface HttpStatus

Constants enumerating the HTTP status codes. All status codes defined in RFC1945 (HTTP/1.0), RFC2616 (HTTP/1.1), and RFC2518 (WebDAV) are listed.

Since:
  4.0
See Also:
  `StatusLine`, RFC1945 (HTTP/1.0), RFC2616 (HTTP/1.1), RFC2518 (WebDAV)

Field Summary
`static int` | `SC_ACCEPTED` `202 Accepted` (HTTP/1.0 - RFC 1945)
`static int` | `SC_BAD_GATEWAY` `502 Bad Gateway` (HTTP/1.0 - RFC 1945)
`static int` | `SC_BAD_REQUEST` `400 Bad Request` (HTTP/1.1 - RFC 2616)
`static int` | `SC_CONFLICT` `409 Conflict` (HTTP/1.1 - RFC 2616)
`static int` | `SC_CONTINUE` `100 Continue` (HTTP/1.1 - RFC 2616)
`static int` | `SC_CREATED` `201 Created` (HTTP/1.0 - RFC 1945)
`static int` | `SC_EXPECTATION_FAILED` `417 Expectation Failed` (HTTP/1.1 - RFC 2616)
`static int` | `SC_FAILED_DEPENDENCY` `424 Failed Dependency` (WebDAV - RFC 2518)
`static int` | `SC_FORBIDDEN` `403 Forbidden` (HTTP/1.0 - RFC 1945)
`static int` | `SC_GATEWAY_TIMEOUT` `504 Gateway Timeout` (HTTP/1.1 - RFC 2616)
`static int` | `SC_GONE` `410 Gone` (HTTP/1.1 - RFC 2616)
`static int` | `SC_HTTP_VERSION_NOT_SUPPORTED` `505 HTTP Version Not Supported` (HTTP/1.1 - RFC 2616)
`static int` | `SC_INSUFFICIENT_SPACE_ON_RESOURCE` Static constant for a 419 error.
`static int` | `SC_INSUFFICIENT_STORAGE` `507 Insufficient Storage` (WebDAV - RFC 2518)
`static int` | `SC_INTERNAL_SERVER_ERROR` `500 Server Error` (HTTP/1.0 - RFC 1945)
`static int` | `SC_LENGTH_REQUIRED` `411 Length Required` (HTTP/1.1 - RFC 2616)
`static int` | `SC_LOCKED` `423 Locked` (WebDAV - RFC 2518)
`static int` | `SC_METHOD_FAILURE` Static constant for a 420 error.
`static int` | `SC_METHOD_NOT_ALLOWED` `405 Method Not Allowed` (HTTP/1.1 - RFC 2616)
`static int` | `SC_MOVED_PERMANENTLY` `301 Moved Permanently` (HTTP/1.0 - RFC 1945)
`static int` | `SC_MOVED_TEMPORARILY` `302 Moved Temporarily` (Sometimes `Found`) (HTTP/1.0 - RFC 1945)
`static int` | `SC_MULTI_STATUS` `207 Multi-Status` (WebDAV - RFC 2518) or `207 Partial Update OK` (HTTP/1.1 - draft-ietf-http-v11-spec-rev-01?)
`static int` | `SC_MULTIPLE_CHOICES` `300 Mutliple Choices` (HTTP/1.1 - RFC 2616)
`static int` | `SC_NO_CONTENT` `204 No Content` (HTTP/1.0 - RFC 1945)
`static int` | `SC_NON_AUTHORITATIVE_INFORMATION` `203 Non Authoritative Information` (HTTP/1.1 - RFC 2616)
`static int` | `SC_NOT_ACCEPTABLE` `406 Not Acceptable` (HTTP/1.1 - RFC 2616)
`static int` | `SC_NOT_FOUND` `404 Not Found` (HTTP/1.0 - RFC 1945)
`static int` | `SC_NOT_IMPLEMENTED` `501 Not Implemented` (HTTP/1.0 - RFC 1945)
`static int` | `SC_NOT_MODIFIED` `304 Not Modified` (HTTP/1.0 - RFC 1945)
`static int` | `SC_OK` `200 OK` (HTTP/1.0 - RFC 1945)
`static int` | `SC_PARTIAL_CONTENT` `206 Partial Content` (HTTP/1.1 - RFC 2616)
`static int` | `SC_PAYMENT_REQUIRED` `402 Payment Required` (HTTP/1.1 - RFC 2616)
`static int` | `SC_PRECONDITION_FAILED` `412 Precondition Failed` (HTTP/1.1 - RFC 2616)
`static int` | `SC_PROCESSING` `102 Processing` (WebDAV - RFC 2518)
`static int` | `SC_PROXY_AUTHENTICATION_REQUIRED` `407 Proxy Authentication Required` (HTTP/1.1 - RFC 2616)
`static int` | `SC_REQUEST_TIMEOUT` `408 Request Timeout` (HTTP/1.1 - RFC 2616)
`static int` | `SC_REQUEST_TOO_LONG` `413 Request Entity Too Large` (HTTP/1.1 - RFC 2616)
`static int` | `SC_REQUEST_URI_TOO_LONG` `414 Request-URI Too Long` (HTTP/1.1 - RFC 2616)
`static int` | `SC_REQUESTED_RANGE_NOT_SATISFIABLE` `416 Requested Range Not Satisfiable` (HTTP/1.1 - RFC 2616)
`static int` | `SC_RESET_CONTENT` `205 Reset Content` (HTTP/1.1 - RFC 2616)
`static int` | `SC_SEE_OTHER` `303 See Other` (HTTP/1.1 - RFC 2616)
`static int` | `SC_SERVICE_UNAVAILABLE` `503 Service Unavailable` (HTTP/1.0 - RFC 1945)
`static int` | `SC_SWITCHING_PROTOCOLS` `101 Switching Protocols` (HTTP/1.1 - RFC 2616)
`static int` | `SC_TEMPORARY_REDIRECT` `307 Temporary Redirect` (HTTP/1.1 - RFC 2616)
`static int` | `SC_TOO_MANY_REQUESTS` `429 Too Many Requests` (Additional HTTP Status Codes - RFC 6585)
`static int` | `SC_UNAUTHORIZED` `401 Unauthorized` (HTTP/1.0 - RFC 1945)
`static int` | `SC_UNPROCESSABLE_ENTITY` `422 Unprocessable Entity` (WebDAV - RFC 2518)
`static int` | `SC_UNSUPPORTED_MEDIA_TYPE` `415 Unsupported Media Type` (HTTP/1.1 - RFC 2616)
`static int` | `SC_USE_PROXY` `305 Use Proxy` (HTTP/1.1 - RFC 2616)

Field Detail

### SC_CONTINUE

    static final int SC_CONTINUE

  `100 Continue` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_SWITCHING_PROTOCOLS

    static final int SC_SWITCHING_PROTOCOLS

  `101 Switching Protocols` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_PROCESSING

    static final int SC_PROCESSING

  `102 Processing` (WebDAV - RFC 2518)

  See Also:
    Constant Field Values

### SC_OK

    static final int SC_OK

  `200 OK` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_CREATED

    static final int SC_CREATED

  `201 Created` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_ACCEPTED

    static final int SC_ACCEPTED

  `202 Accepted` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_NON_AUTHORITATIVE_INFORMATION

    static final int SC_NON_AUTHORITATIVE_INFORMATION

  `203 Non Authoritative Information` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_NO_CONTENT

    static final int SC_NO_CONTENT

  `204 No Content` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_RESET_CONTENT

    static final int SC_RESET_CONTENT

  `205 Reset Content` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_PARTIAL_CONTENT

    static final int SC_PARTIAL_CONTENT

  `206 Partial Content` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_MULTI_STATUS

    static final int SC_MULTI_STATUS

  `207 Multi-Status` (WebDAV - RFC 2518) or `207 Partial Update OK` (HTTP/1.1 - draft-ietf-http-v11-spec-rev-01?)

  See Also:
    Constant Field Values

### SC_MULTIPLE_CHOICES

    static final int SC_MULTIPLE_CHOICES

  `300 Mutliple Choices` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_MOVED_PERMANENTLY

    static final int SC_MOVED_PERMANENTLY

  `301 Moved Permanently` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_MOVED_TEMPORARILY

    static final int SC_MOVED_TEMPORARILY

  `302 Moved Temporarily` (Sometimes `Found`) (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_SEE_OTHER

    static final int SC_SEE_OTHER

  `303 See Other` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_NOT_MODIFIED

    static final int SC_NOT_MODIFIED

  `304 Not Modified` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_USE_PROXY

    static final int SC_USE_PROXY

  `305 Use Proxy` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_TEMPORARY_REDIRECT

    static final int SC_TEMPORARY_REDIRECT

  `307 Temporary Redirect` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_BAD_REQUEST

    static final int SC_BAD_REQUEST

  `400 Bad Request` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_UNAUTHORIZED

    static final int SC_UNAUTHORIZED

  `401 Unauthorized` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_PAYMENT_REQUIRED

    static final int SC_PAYMENT_REQUIRED

  `402 Payment Required` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_FORBIDDEN

    static final int SC_FORBIDDEN

  `403 Forbidden` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_NOT_FOUND

    static final int SC_NOT_FOUND

  `404 Not Found` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_METHOD_NOT_ALLOWED

    static final int SC_METHOD_NOT_ALLOWED

  `405 Method Not Allowed` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_NOT_ACCEPTABLE

    static final int SC_NOT_ACCEPTABLE

  `406 Not Acceptable` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_PROXY_AUTHENTICATION_REQUIRED

    static final int SC_PROXY_AUTHENTICATION_REQUIRED

  `407 Proxy Authentication Required` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_REQUEST_TIMEOUT

    static final int SC_REQUEST_TIMEOUT

  `408 Request Timeout` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_CONFLICT

    static final int SC_CONFLICT

  `409 Conflict` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_GONE

    static final int SC_GONE

  `410 Gone` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_LENGTH_REQUIRED

    static final int SC_LENGTH_REQUIRED

  `411 Length Required` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_PRECONDITION_FAILED

    static final int SC_PRECONDITION_FAILED

  `412 Precondition Failed` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_REQUEST_TOO_LONG

    static final int SC_REQUEST_TOO_LONG

  `413 Request Entity Too Large` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_REQUEST_URI_TOO_LONG

    static final int SC_REQUEST_URI_TOO_LONG

  `414 Request-URI Too Long` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_UNSUPPORTED_MEDIA_TYPE

    static final int SC_UNSUPPORTED_MEDIA_TYPE

  `415 Unsupported Media Type` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_REQUESTED_RANGE_NOT_SATISFIABLE

    static final int SC_REQUESTED_RANGE_NOT_SATISFIABLE

  `416 Requested Range Not Satisfiable` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_EXPECTATION_FAILED

    static final int SC_EXPECTATION_FAILED

  `417 Expectation Failed` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_INSUFFICIENT_SPACE_ON_RESOURCE

    static final int SC_INSUFFICIENT_SPACE_ON_RESOURCE

  Static constant for a 419 error. `419 Insufficient Space on Resource` (WebDAV - draft-ietf-webdav-protocol-05?) or `419 Proxy Reauthentication Required` (HTTP/1.1 drafts?)

  See Also:
    Constant Field Values

### SC_METHOD_FAILURE

    static final int SC_METHOD_FAILURE

  Static constant for a 420 error. `420 Method Failure` (WebDAV - draft-ietf-webdav-protocol-05?)

  See Also:
    Constant Field Values

### SC_UNPROCESSABLE_ENTITY

    static final int SC_UNPROCESSABLE_ENTITY

  `422 Unprocessable Entity` (WebDAV - RFC 2518)

  See Also:
    Constant Field Values

### SC_LOCKED

    static final int SC_LOCKED

  `423 Locked` (WebDAV - RFC 2518)

  See Also:
    Constant Field Values

### SC_FAILED_DEPENDENCY

    static final int SC_FAILED_DEPENDENCY

  `424 Failed Dependency` (WebDAV - RFC 2518)

  See Also:
    Constant Field Values

### SC_TOO_MANY_REQUESTS

    static final int SC_TOO_MANY_REQUESTS

  `429 Too Many Requests` (Additional HTTP Status Codes - RFC 6585)

  See Also:
    Constant Field Values

### SC_INTERNAL_SERVER_ERROR

    static final int SC_INTERNAL_SERVER_ERROR

  `500 Server Error` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_NOT_IMPLEMENTED

    static final int SC_NOT_IMPLEMENTED

  `501 Not Implemented` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_BAD_GATEWAY

    static final int SC_BAD_GATEWAY

  `502 Bad Gateway` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_SERVICE_UNAVAILABLE

    static final int SC_SERVICE_UNAVAILABLE

  `503 Service Unavailable` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### SC_GATEWAY_TIMEOUT

    static final int SC_GATEWAY_TIMEOUT

  `504 Gateway Timeout` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_HTTP_VERSION_NOT_SUPPORTED

    static final int SC_HTTP_VERSION_NOT_SUPPORTED

  `505 HTTP Version Not Supported` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### SC_INSUFFICIENT_STORAGE

    static final int SC_INSUFFICIENT_STORAGE

  `507 Insufficient Storage` (WebDAV - RFC 2518)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.